For the complete documentation index, see llms.txt. This page is also available as Markdown.

Quotes

Returns the quote for a specific fiat currency, amount and payment method

The Quotes API allows you to fetch real-time quotes for transactions across different fiat-to-crypto pairs. This information can be used to display quotes in your UI prior to redirecting them Blockchain.com Pay.

Note: Users may see a slightly different quote if it expires prior to them being redirected to Blockchain.com Pay

Get buy quote

get

Returns a real-time buy quote for a currency pair. Supply quoteCurrencyCode, baseCurrencyCode, and quoteCurrencyAmount (fiat amount) to get a detailed buy quote including fees and the amount of crypto the user will receive.

Authorizations
X-Public-API-KeystringRequired

Partner's public API key. Required on all endpoints to identify the partner.

Query parameters
quoteCurrencyCodestringRequired

The fiat currency to buy with.

Example: USD
baseCurrencyCodestringRequired

The crypto currency to buy.

Example: BTC
quoteCurrencyAmountnumberRequired

The fiat amount the customer wants to spend. Must be a positive decimal with precision no higher than the currency precision.

Example: 100.00
paymentMethodstring Β· enumOptional

Payment method to be used for the order.

Example: CARDPossible values:
countryCodestring Β· min: 2 Β· max: 2Optional

ISO 3166-1 alpha-2 country code, e.g. US.

Example: US
usStateCodestringOptional

US state code, e.g. AL. Ignored if countryCode is not US.

Example: AL
walletAddressstringOptional

The wallet address where the user wants to receive the crypto.

Responses
200

Buy quote with price, fees, and resulting crypto amount.

application/json
quoteCurrencyAmountstringRequired

The fiat amount the user pays for the transaction.

Example: 63.00
quoteCurrencyCodestringRequired

The fiat currency being spent.

Example: USD
baseCurrencyAmountstringRequired

The amount of crypto converted from quoteCurrencyAmount at price, before fees. See totalAmount for the net amount after fees.

Example: 0.001
baseCurrencyCodestringRequired

The crypto currency being purchased.

Example: BTC
pricestringRequired

The buy-side price of the base currency denominated in the quote currency.

Example: 62451.29
processingFeeAmountstringRequired

Blockchain.com processing fee denominated in the quote (fiat) currency.

Example: 1.00
partnerFeeAmountstringRequired

Partner fee denominated in the quote (fiat) currency.

Example: 1.00
networkFeeAmountstringRequired

Network (blockchain transaction) fee denominated in the quote (fiat) currency.

Example: 1.00
totalAmountstringRequired

Net amount of crypto the user receives after all fees.

Example: 0.0009
paymentMethodstring Β· enumOptional

Payment method to be used for the order.

Example: CARDPossible values:
get/v1/quote/buy
GET /partner-gateway/partner-api/v1/quote/buy?quoteCurrencyCode=text&baseCurrencyCode=text&quoteCurrencyAmount=1 HTTP/1.1
Host: api.blockchain.info
X-Public-API-Key: YOUR_API_KEY
Accept: */*
{
  "quoteCurrencyAmount": "63.00",
  "quoteCurrencyCode": "USD",
  "quoteCurrency": {
    "type": "FIAT",
    "name": "US Dollar",
    "code": "USD",
    "precision": 2,
    "minBuyAmount": 20,
    "maxBuyAmount": 1200
  },
  "baseCurrencyAmount": "0.001",
  "baseCurrencyCode": "BTC",
  "baseCurrency": {
    "type": "CRYPTO",
    "name": "Bitcoin",
    "code": "BTC",
    "precision": 8,
    "network": "BTC",
    "supportsDestinationTag": false,
    "isSupportedInUS": true,
    "allowedUSStates": [
      "AL",
      "CT"
    ]
  },
  "price": "62451.29",
  "processingFeeAmount": "1.00",
  "partnerFeeAmount": "1.00",
  "networkFeeAmount": "1.00",
  "totalAmount": "0.0009",
  "paymentMethod": "CARD"
}

Last updated